Subject: bug#17284: Host name completion in shell mode take 45 seconds

From: Svend Sorensen <[email-masked]>
Date: Thu, 02 Apr 2015 10:36:09 -0700

This delay is happening in the pcmpl-ssh-known-hosts function, during
the second while:

(while (and (looking-back ",")
                      (re-search-forward host-re (line-end-position) t))
            (add-to-list 'ssh-hosts-list (concat (match-string 1)
                                                 (match-string 2))))

If I remove this, I get back a list of hosts immediately.

My known_hosts file has 3600 lines.